Setting up a test environment for development:
=============================================

1. Create on a host where you have an ssh account an empty git repository with:

    $ mkdir /path/to/repo 
		$ cd /path/to/repo 
		$ git init --bare

2. Add the post-update.sh and post-update.conf to the hooks directory. 
   Rename post-update.sh to post-update to activate it.

3. On the development machine clone this repo with:

    $ git clone host:~/path/to/repo

4. Copy the script `test_post_update.sh` from the direcory test to the git 
   repository you created. 
	 Issue the command

	 $ git checkout -b dev 

	 This will create a branch `dev` in adition to the existing `master` branch.
   Run the script

	 $ bash `test_post_update.sh`
	 

5. Every time you need to test frank-ci you can now issue `test_post_update.sh`.
   This script will issue junk commits on both branches and then push them. 
	 This will invoke frank-ci, since the `post-update` will sumbit a JSON record
	 to the server where frank-ci is listening.
